Subject: Pine on Macs

From: Mark Crispin <[email-masked]>
Date: Sat, 17 Jul 1993 10:04:41 -0700 (PDT)

I don't think this has been mentioned yet, but PC Pine *does* work on a
Mac under SoftPC.

     I installed the packet driver version PC Pine on SoftPC's simulated hard
disk along with the appropriate configuration files.  Then, having attached
the Mac's modem to SoftPC's COM1, I dialed out using PC Kermit and logged into
a SLIP server.  I then exited Kermit, and started the freeware EtherSLIP
packet driver in its place.  Finally, I ran PC Pine, and lo and behold, it
works!

     I wish I could find a packet driver that knows how to talk to the Mac's
Ethernet driver.  That might require nagging the vendors of SoftPC.

     For best performance, it should be run on a 68030 based Mac or better.
My experience on a 33MHz 68030 Mac is that it runs acceptably, although Pico
is a little bit slower than comfortable.

     I would not recommend using it on a 68000 based Mac such as a PowerBook-
100 or a Mac Plus.  Nor would I recommend PC Pine on an XT class PC.  However,
I've run Pine on both and it works like a champ, albeit slowly.  It's good for
impressing people as to just how crazy you really are...  :-)

     I don't think Pine will take the Mac world by storm.  Hopefully a ready-
for-prime-time version of Mailstrom will.  We've thought on and off about a
specific Mac port of Pine.  The good news is that THINK C makes large parts of
the porting trivial.  The bad news is that THINK C's console package isn't
powerful enough to run Pine; it simulates a ``glass TTY'' (e.g. an ADM-3) with
no cursor addressing.  So work would have to be done to build a terminal
emulator.

     It isn't clear that it's a productive use of time to port a character
based application to the Mac.  But, if you have SoftPC you can play around
with the concept.  The main difference is that a native Mac port -- if one is
ever done -- would be a lot faster.

-- Mark --